%ext ck4
%version 1.4


# Graphics files (EGA resources)
%egahead EGAHEAD.CK4
%egadict EGADICT.CK4

# Map files
%maphead MAPHEAD.CK4

# Audio files
%patchfile $20DF0 AUDIOHED.CK4
%patchfile $354F6 AUDIODCT.CK4
	

# Don't end game if Keen reads
%patch $BC68 $EB   

# Demo switch always on
%patch $3E82 $EB $0E


# Skip initialization screens
%patch $38AD $90 $90 $90 $90 $90 # Don't load B800
%patch $38D0 $90 $90 $90 $90 $90 # Don't display game info, 'Loading...' text
%patch $39B2 $90 $90 $90 $90 $90 # Don't wait for key, show 'Ready' text
%patch $50ED $A545W $001CW	 # Skip Terminator sequence

# Keen Dreams style level loading box 
%patch $38FF $EB $22
%patch $32A29 "loading" $00

#Disable help
%patch $3F09  $EB     #Unknown, initiation screen?
%patch $51AB  $EB     #During terminator text
%patch $7930  $EB     #In game levels
%patch $1CED9 $90 $90 #In Main Menu

# Don't need debug mode to use F10 cheats
%patch $7AB7 $90 $90


# Keen starts game in Level x
%patch $5CBB $7A68W $0001W

# Lives Keen has at game start
%patch $5CC7 $7A6AW $0009W

#What wins game (Default 8 members)
%patch $6AE4 $7A5EW $01 $74



#Level 01
%patch $30768 $1F000397RL #Pointer for Level name 01
%patch $1F397 "Darkdave's Level Design" $00			  

%patch $307CC $1F000065RL #Pointer for Level text 01
%patch $1F065 "'WAS I NO NET'" $00

%end

# Generated 06.08.2018 22:03:06
